Package classycle.renderer

# Class TemplateBasedStrongComponentRenderer

java.lang.Object
classycle.renderer.AbstractStrongComponentRenderer
classycle.renderer.TemplateBasedStrongComponentRenderer

All Implemented Interfaces:
  `StrongComponentRenderer`

public class TemplateBasedStrongComponentRenderer extends AbstractStrongComponentRenderer
Renderer of a `StrongComponent`. The renderer is based on a `java.text.MessageFormat` template.

Author:
  Franz-Josef Elmer

## Constructor Summary

Constructors
Constructor
Description
`TemplateBasedStrongComponentRenderer(String template, int minimumNumber)`
Creates an instance for the specified template.

## Method Summary

Modifier and Type
Method
Description
`String`
`render(StrongComponent component)`
Renderes the specified `StrongComponent`.

### Methods inherited from class classycle.renderer.AbstractStrongComponentRenderer

`createName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TemplateBasedStrongComponentRenderer

public TemplateBasedStrongComponentRenderer(String template, int minimumNumber)
Creates an instance for the specified template.

Parameters:
  `template` - The template.
  `minimumNumber` - Minimum number of vertices the `StrongComponent` should have to be rendered.

## Method Details

### render

public String render(StrongComponent component)
Description copied from interface: `StrongComponentRenderer`
Renderes the specified `StrongComponent`.